Bug 427468 - xerces-c-devel samples build failure
xerces-c-devel samples build failure
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xerces-c (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Robie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 20:42 EST by Philip Ashmore
Modified: 2013-08-05 20:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-09 13:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-01-03 20:42:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
Following /usr/share/doc/xerces-c-doc-2.7.0/doc/html/build-winunix.html#UNIX

$ export XERCESCROOT=<full path to xerces-c-src2_7_0>
First of all, this is just wrong for Linux. The LFS (Linux Filesystem hierarchy Specification) dictates where such files should go. I dislike distribution-specific custom builds that include descriptions of how to build, install, test, given that Fedora uses RPM.

Anyway...
I copied the samples directory to /opt/dev/xerces-c/samples - I have read/write access to this directory. I own it too.

$ export XERCESCROOT=/usr/include
$ ./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -rpthread
Even
    http://xml.apache.org/xerces-c/build.html
states this. It's also wrong - runConfigure doesn't recognise -minmem -nsocket -tnative

$ sh runConfigure -plinux -cgcc -xg++ -rpthread

This fails saying that it couldn't execute "configure"
$ chmod +x configure
$ sh runConfigure -plinux -cgcc -xg++ -rpthread
$ gmake
Building SAXPrint
gmake -C SAXPrint
gmake[1]: Entering directory `/opt/dev/xerces-c/samples/SAXPrint'
Makefile:44: /usr/include/version.incl: No such file or directory
gmake[1]: *** No rule to make target `/usr/include/version.incl'.  Stop.
gmake[1]: Leaving directory `/opt/dev/xerces-c/samples/SAXPrint'
gmake: *** [saxprint] Error 2

Same thing happens if I
$ export XERCESCROOT=/usr/include/xercesc

Version-Release number of selected component (if applicable):
xerces-c-devel-2.7.0-6.fc7

How reproducible:
Always


Steps to Reproduce:
1. Follow the instructions
2.
3.

Actual Results:
See above

Expected Results:
Built samples.

Additional info:
I particularly like the last lines that runConfigure outputs...

   If the result of the above commands look OK to you, go to the directory
   /usr/include/xercesc/samples and type "gmake" to make the samples.

It should be /usr/share/doc/xerces-c-doc-2.7.0/samples
Comment 1 Bug Zapper 2008-11-26 04:17:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 05:24:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-03-15 07:57:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jonathan Robie 2010-06-09 13:17:24 EDT
The current package does not even have the samples discussed in this bug.

Note You need to log in before you can comment on or make changes to this bug.